package com.supervision.domain;

import com.supervision.dto.DanmakuMessage;
import lombok.Data;

@Data
public class LivetalkingChatDTO {

    /**
     * 消息id
     */
    private String messageId;

    /**
     * 数字人id
     */
    private String humanId;


    /**
     * 房间id
     */
    private String roomId;

    /**
     *  问题
     */
    private String query;

    /**
     * 回答
     */
    private String answer;

    public LivetalkingChatDTO() {
    }

    public LivetalkingChatDTO(DanmakuMessage danmakuMessage) {
        this.roomId = danmakuMessage.getRoomId();
        this.query = danmakuMessage.getContent();
    }
}
