package com.supervision.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.supervision.domain.DigitalHumanDialogueLog;
import com.supervision.dto.DanmakuMessage;
import com.supervision.service.DigitalHumanDialogueLogService;
import com.supervision.mapper.DigitalHumanDialogueLogMapper;
import org.springframework.stereotype.Service;

/**
* @author Administrator
* @description 针对表【digital_human_dialogue_log(数字人对话日志)】的数据库操作Service实现
* @createDate 2025-07-17 10:29:42
*/
@Service
public class DigitalHumanDialogueLogServiceImpl extends ServiceImpl<DigitalHumanDialogueLogMapper, DigitalHumanDialogueLog>
    implements DigitalHumanDialogueLogService{

    @Override
    public String saveLog(DanmakuMessage danmakuMessage) {
        DigitalHumanDialogueLog dialogueLog = danmakuMessage.toDialogueLog();
        super.save(dialogueLog);
        return dialogueLog.getId();
    }
}




