package com.supervision.domain;

import com.baomidou.mybatisplus.annotation.*;

import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;

/**
 * 音色表
 * @TableName voice_info
 */
@TableName(value ="voice_info")
@Data
public class VoiceInfo implements Serializable {
    /**
     * 主键
     */
    @TableId
    private String id;

    /**
     * 音色码
     */
    private String voiceCode;

    /**
     * 音色名
     */
    private String voiceName;

    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}