package com.supervision.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.supervision.domain.AgentDialogueLog;
import com.baomidou.mybatisplus.extension.service.IService;

/**
* @author Administrator
* @description 针对表【agent_dialogue_log(智能体对话日志)】的数据库操作Service
* @createDate 2025-07-17 10:29:42
*/
public interface AgentDialogueLogService extends IService<AgentDialogueLog> {

    /**
     * 分页查询智能体对话日志
     * @param page 分页参数
     * @param conversationId 对话ID
     * @return
     */
    IPage<AgentDialogueLog> pageList(Page<AgentDialogueLog> page, String conversationId);
}
